[PATCH] net: ne2k.c won't compile if pci_clone_list is const
authorHorms <horms@verge.net.au>
Thu, 23 Mar 2006 07:36:28 +0000 (16:36 +0900)
committerJeff Garzik <jeff@garzik.org>
Fri, 24 Mar 2006 17:10:55 +0000 (12:10 -0500)
net: ne2k.c won't compile if pci_clone_list is const

f71e130966ba429dbd24be08ddbcdf263df9a5ad which (amongst other things)
made pci_clone_list in ne2k-pci.c const causes the following compile error.
This patch reverses that portion of that changeset

drivers/net/ne2k-pci.c:123: error: pci_clone_list causes a section type
conflict

~/ gcc --version
gcc (GCC) 4.0.3 (Debian 4.0.3-1)
~/ dpkg gcc-4.0 | grep Version
Version: 4.0.3-1

Signed-Off-By: Horms <horms@verge.net.au
 ne2k-pci.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

cee0890cc97247b6a9decd94f5dc0719ac8f0b1b

Signed-off-by: Jeff Garzik <jeff@garzik.org>
drivers/net/ne2k-pci.c

index e3ebb5803b023c62f0fd0a940b4d52d3696c9690..d11821dd86edbf94015c7143e048d4da5b5bfde7 100644 (file)
@@ -117,7 +117,7 @@ enum ne2k_pci_chipsets {
 };
 
 
 };
 
 
-static const struct {
+static struct {
        char *name;
        int flags;
 } pci_clone_list[] __devinitdata = {
        char *name;
        int flags;
 } pci_clone_list[] __devinitdata = {